HYDRASDR_GPIO(1)

NAME
hydrasdr_gpio - read or write data to GPIO ports and pins

DESCRIPTION

  Usage:

-p, --port_no <p>: set port number<p>[0,7] for subsequent read/write operations

-n, --pin_no <n>: set pin number<n>[0,31] for subsequent read/write operations

-r, --read: read port number/pin number value and direction specified by last -n argument, or all port/pin

-w, --write <v>: write value specified by last -n argument with value<v>[0,1]

-s [serial_number_64bits]: Open board with specified 64bits serial number.

EXAMPLES
hydrasdr_gpio -p 0 -n 12 -r # reads from port 0 pin number 12

hydrasdr_gpio -r # reads all pins on all ports

hydrasdr_gpio -p 0 -n 10 -w 1 # writes port 0 pin number 10 with 1 decimal

Hardware Info HydraSDR:

LED1(out): -p 0 -n 12 (0=OFF, 1=ON)

Enable R828D(out): -p 1 -n 7 (0=OFF, 1=ON)

Enable BiasT(out): -p 1 -n 13 (0=OFF, 1=ON)

AUTHORS
 HydraSDR RFOne
 was primarily written by Benjamin VERNOUX.

SEE ALSO
Package documentation in /usr/share/doc/hydrasdr-tools/ For more information visit https://www.hydrasdr.com